<div class="content-wrapper">
 <section class="content-header">
  <h1>
    <?= $page_title ?>
    <small><?= $page_desc ?></small>
  </h1>
  <ol class="breadcrumb">
   <li><a href="<?= base_url() ?>"><i class="fa fa-star-o" aria-hidden="true"></i>Home</a></li>
   <li><?= $menu ?></li>
   <li class="active"><?= $sub_menu ?></li>
 </ol>
</section>
<section class="content">
  <div class="row">
     <div class="col-md-12">
      <?php if($this->session->flashdata('message')) { 
        $flashdata = $this->session->flashdata('message'); ?>
        <div class="alert alert-<?= $flashdata['class'] ?>">
         <button class="close" data-dismiss="alert" type="button">×</button>
         <?= $flashdata['message'] ?>
       </div>
     <?php } ?>
   </div>
 </div>
   <div class="box box-warning">
     <div class="box-header with-border">
       <h3 class="box-title">Company Details</h3>
     </div>
      <form role="form" action="<?=base_url('Company/addCompany')?>" method="post" class="validate" data-parsley-validate="" enctype="multipart/form-data">
        <div class="box-body">
          <div class="col-md-12">
            <div class="col-md-6">
             <div class="form-group has-feedback">
               <label for="exampleInputEmail1">Company Name</label>
               <input type="text" class="form-control required" data-parsley-trigger="change"  
               data-parsley-minlength="2"  data-parsley-pattern="^[a-zA-Z\ . ! @ # $ % ^ & * () + = , \/]+$" required="" name="company_name"  placeholder="Enter Company Name">
               <span class="glyphicon  form-control-feedback"></span>
             </div>
             <div class="form-group has-feedback">
               <label for="exampleInputEmail1">Email</label>
               <input type="email" class="form-control required" data-parsley-trigger="change"  
               data-parsley-minlength="2"  required="" name="email_id" placeholder="Enter email ID">
               <span class="glyphicon  form-control-feedback"></span>
             </div> 
             <div class="form-group has-feedback">
               <label for="exampleInputEmail1">Password</label>
               <input type="password" class="form-control required" data-parsley-trigger="change"  
               data-parsley-minlength="2"  required="" name="password"  placeholder="Enter Pasword">
               <span class="glyphicon  form-control-feedback"></span>
             </div>  
            <div class="form-group has-feedback">
             <label for="exampleInputEmail1">Address</label>
             <textarea class="ip_reg_form_input form-control reset-form-custom required" placeholder="Enter Company Address" name="address" data-parsley-trigger="change" data-parsley-minlength="2" required=""></textarea>
             <span class="glyphicon  form-control-feedback"></span>
           </div> 
           <div class="form-group has-feedback">
             <label for="exampleInputEmail1">Company Federal ID</label>
             <input type="text" class="form-control" data-parsley-trigger="change"  
             data-parsley-minlength="2" name="company_federal_id" placeholder="Enter Company Federal ID">
             <span class="glyphicon  form-control-feedback"></span>
           </div>     
          </div>
          <div class="col-md-6">
           <div class="form-group has-feedback">
             <label for="exampleInputEmail1">Fax</label>
             <input type="number" class="form-control required" data-parsley-trigger="change"  
               data-parsley-minlength="2"  required="" name="fax" placeholder="Enter Fax Number">
               <span class="glyphicon  form-control-feedback"></span> 
           </div>
           <div class="form-group has-feedback">
             <label for="exampleInputEmail1">Phone</label>
             <input type="number" class="form-control required" data-parsley-trigger="change"  
               data-parsley-minlength="2"  required="" name="phone" placeholder="Enter Phone Number">
               <span class="glyphicon  form-control-feedback"></span> 
           </div>
           <div class="form-group has-feedback">
             <label for="exampleInputEmail1">Company Contact</label>
             <input type="number" class="form-control required" data-parsley-trigger="change"  
               data-parsley-minlength="2" required="" name="company_contact" placeholder="Enter Company Contact Number">
               <span class="glyphicon  form-control-feedback"></span> 
           </div>
           <div class="form-group has-feedback">
             <label for="exampleInputEmail1">Contact Person Information</label>
             <input type="text" class="form-control required" data-parsley-trigger="change"  
               data-parsley-minlength="2"  required="" name="company_info" placeholder="Enter Contact Person Info">
               <span class="glyphicon  form-control-feedback"></span> 
           </div> 

            <div class="form-group has-feedback">
              <label for="exampleInputEmail1">Profile Picture</label>
              <div class="col-md-12">
                <div class="col-md-3">
                  <img id="image_id" src="" onerror="this.src='<?=base_url("assets/images/user_avatar.jpg")?>';" height="75" width="75" />
                </div>
                <div class="col-md-9" style="padding-top: 25px;">
                  <input name="profile_image" type="file" accept="image/*" class="required" onchange="setImg(this,'image_id');" />
                </div>
              </div>
            </div>
          </div> 
        </div>
        <div class="col-md-12">
          <div class="box-header with-border" style="padding-top: 25px;">
            <h3 class="box-title">Payment Details</h3>
          </div>
          <br>
          <div class="col-md-6">
           <div class="form-group has-feedback">
             <label for="exampleInputEmail1">Commission Per Booking</label>
             <input type="text" class="form-control required" data-parsley-trigger="change"  
             data-parsley-minlength="1"  data-parsley-pattern="^[0-9\ . /]+$" required="" name="booking_charge"  placeholder="Commission in Percentage">
             <span class="glyphicon  form-control-feedback"></span>
           </div>
           <div class="form-group has-feedback">
             <label for="exampleInputEmail1">Amount For SMS</label>
             <input type="text" class="form-control required" data-parsley-trigger="change"  
             data-parsley-minlength="1"  data-parsley-pattern="^[0-9\ , . $ % /]+$" required="" name="sms_charge"  placeholder="Enter Amount Per SMS">
             <span class="glyphicon  form-control-feedback"></span>
           </div>
          </div>

          <div class="col-md-6">
           <div class="form-group has-feedback">
             <label for="exampleInputEmail1">Amount For Push Notification</label>
             <input type="text" class="form-control required" data-parsley-trigger="change"  
             data-parsley-minlength="1"  data-parsley-pattern="^[0-9\ , . $ % /]+$" required="" name="push_charge"  placeholder="Enter Amount Per Push Notification">
             <span class="glyphicon  form-control-feedback"></span>
           </div>
           <div class="form-group has-feedback">
             <label for="exampleInputEmail1">Amount For Report Generation</label>
             <input type="text" class="form-control required" data-parsley-trigger="change"  
             data-parsley-minlength="1"  data-parsley-pattern="^[0-9\ , . $ % /]+$" required="" name="report_charge"  placeholder="Enter Amount Per Report">
             <span class="glyphicon  form-control-feedback"></span>
           </div>
          </div>
        </div>
        <div class="col-md-12">          
          <div class="box-footer">
            <button type="submit" class="btn btn-primary">Submit</button>
          </div>        
        </div>
      </form>
    </div>
  </section>
</div>